<?php
include_once(getabspath("include/cuenta_settings.php"));

function DisplayMasterTableInfo_cuenta($params)
{
	$detailtable=$params["detailtable"];
	$keys=$params["keys"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	
	$oldTableName=$strTableName;
	$strTableName="cuenta";

//$strSQL = "SELECT idcuenta,   idtipo_cuenta,   denominacion,   fecha_alta,   saldo,   estado,   idusuario  FROM cuenta ";

	$cipherer = new RunnerCipherer($strTableName);
	$settings = new ProjectSettings($strTableName, PAGE_PRINT);
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT);

$where="";

global $pageObject, $page_styles, $page_layouts, $page_layout_names, $container_styles;
$layout = new TLayout("masterprint","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterprintheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterprintfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["cuenta_masterprint"] = $layout;


$showKeys = "";
if($detailtable=="cobro")
{
		$where.= GetFullFieldName("idcuenta", "", false)."=".$cipherer->MakeDBValue("idcuenta",$keys[1-1], "", "", true);
	$showKeys .= " "."ID Cuenta".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
	
}
if(!$where)
{
	$strTableName=$oldTableName;
	return;
}
	$str = SecuritySQL("Export");
	if(strlen($str))
		$where.=" and ".$str;
	
	$strWhere = whereAdd($masterQuery->m_where->toSql($masterQuery),$where);
	if(strlen($strWhere))
		$strWhere=" where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL=AddWhere($strSQL,$where);

	LogInfo($strSQL);
	$rs=db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName=$oldTableName;
		return;
	}
	$keylink="";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idcuenta"]));
	

//	idcuenta - 
			$xt->assign("idcuenta_mastervalue", $viewControls->showDBValue("idcuenta", $data, $keylink));

//	idtipo_cuenta - 
			$xt->assign("idtipo_cuenta_mastervalue", $viewControls->showDBValue("idtipo_cuenta", $data, $keylink));

//	denominacion - 
			$xt->assign("denominacion_mastervalue", $viewControls->showDBValue("denominacion", $data, $keylink));

//	fecha_alta - Datetime
			$xt->assign("fecha_alta_mastervalue", $viewControls->showDBValue("fecha_alta", $data, $keylink));

//	saldo - Number
			$xt->assign("saldo_mastervalue", $viewControls->showDBValue("saldo", $data, $keylink));

//	estado - 
			$xt->assign("estado_mastervalue", $viewControls->showDBValue("estado", $data, $keylink));

//	idusuario - 
			$xt->assign("idusuario_mastervalue", $viewControls->showDBValue("idusuario", $data, $keylink));
	$xt->display("cuenta_masterprint.htm");
	$strTableName=$oldTableName;

}

?>